## org.eclipse.emf.query.conditions.eobjects
Class ENot

    java.lang.Object
      org.eclipse.emf.query.conditions.Condition
          org.eclipse.emf.query.conditions.eobjects.EObjectCondition
              org.eclipse.emf.query.conditions.eobjects.ENot

    public class ENot

extends EObjectCondition

An `EObjectCondition` that negates the result of evaluation of another `EObjectCondition`. This `EObjectCondition` never prune

Field Summary

Fields inherited from class org.eclipse.emf.query.conditions.eobjects.EObjectCondition
`E_FALSE, E_TRUE`

Fields inherited from class org.eclipse.emf.query.conditions.Condition
`FALSE, TRUE`

Constructor Summary
`ENot(EObjectCondition condition)` Constructor of this negating `EObjectCondition`

Method Summary
`boolean` `isSatisfied(EObject eObject)` Answers whether the argument eObject satisfies this `EObjectCondition`
`boolean` `isSatisfied(Object object)` Overrides the parent's implementation by simply checking if the argument object is an instance of `EObject` first, and if so, it forwards the actual evaluation to the appropriate overloaded version.
`boolean` `shouldPrune(EObject eObject)` Answers whether or not we should apply this `EObjectCondition` on the children of the argument eObject.

Methods inherited from class org.eclipse.emf.query.conditions.eobjects.EObjectCondition
`AND, EQUIVALENT, getPruneHandler, IMPLIES, OR, XOR`

Methods inherited from class org.eclipse.emf.query.conditions.Condition
`AND, EQUIVALENT, IMPLIES, OR, XOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ENot

    public ENot(EObjectCondition condition)

  Constructor of this negating `EObjectCondition`

  Parameters:
    `condition` - The `EObjectCondition` whose evaluation result is negated

Method Detail

### isSatisfied

    public boolean isSatisfied(Object object)

  Description copied from class: `EObjectCondition`
  Overrides the parent's implementation by simply checking if the argument object is an instance of `EObject` first, and if so, it forwards the actual evaluation to the appropriate overloaded version. If the argument object does not conform to an `EObject` it will return `false` as a result.

  Overrides:
    `isSatisfied` in class `EObjectCondition`
  Parameters:
    `object` - an Object to check if it satisfies this `Condition`
  Returns:
    `true` if the argument Object satisfies this `Condition`,`false` otherwise.
  See Also:
    `EObjectCondition.isSatisfied(java.lang.Object)`

### isSatisfied

    public boolean isSatisfied(EObject eObject)

  Description copied from class: `EObjectCondition`
  Answers whether the argument eObject satisfies this `EObjectCondition`

  Specified by:
    `isSatisfied` in class `EObjectCondition`
  Parameters:
    `eObject` - the `EObject` to check
  Returns:
    boolean `true` if the argument eObject satisfies this `EObjectCondition`

### shouldPrune

    public boolean shouldPrune(EObject eObject)

  Description copied from class: `EObjectCondition`
  Answers whether or not we should apply this `EObjectCondition` on the children of the argument eObject. This call is forwarded to the installed `PruneHandler`.

  ``
  Overrides:
    `shouldPrune` in class `EObjectCondition`
  Parameters:
    `eObject` - the `EObject` to check to see whether to visit its children or not
  Returns:
    boolean `true` if we should prune and `false` otherwise

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.